kind: Solution
version: v0
router:
  kind: Router
  routes:
    - frame: my-home-frame
frames:
  my-home-frame:
    kind: Frame
    contents:
      my-viewer:
        kind: Viewer
        settings:
          kind: BasicSettings
          size: 40
        viewerControls:
          topLeft:
            kind: ButtonBar
            orientation: vertical
            buttons:
              - kind: ZoomToFit
              - kind: ToggleLayer
                layer: 1
                icon:
                  kind: Icon
                  icon: fas-grip-lines-vertical
              - kind: ToggleLayer
                layer: 2
                icon:
                  kind: Icon
                  icon: fas-slash
              - kind: ToggleLayer
                layer: 3
                icon:
                  kind: Icon
                  icon: fas-layer-group
        materials:
          my-columns-mat:
            kind: StandardMaterial
            color: [255, 180, 120]
          my-bracing-mat:
            kind: StandardMaterial
            color: [120, 255, 180]
          my-floors-mat:
            kind: StandardMaterial
            color: [120, 180, 255]
        objects:
          - kind: Obj
            objFile: columns.obj
            material: my-columns-mat
            layers: [1]
          - kind: Obj
            objFile: bracing.obj
            material: my-bracing-mat
            layers: [2]
          - kind: Obj
            objFile: floors.obj
            material: my-floors-mat
            layers: [3]
